Bug 1043471 - OVIRT35 - [RFE] ovirt-guest-agent for SLES
Summary: OVIRT35 - [RFE] ovirt-guest-agent for SLES
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-guest-agent
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 12:04 UTC by Vinzenz Feenstra [evilissimo]
Modified: 2016-02-10 19:49 UTC (History)
6 users (show)

Fixed In Version: ovirt-guest-agent-1.0.10-3.1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:29:07 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 26663 0 master MERGED Added support for sudo Never
oVirt gerrit 26667 0 master MERGED m4: Detect SUSE Never
oVirt gerrit 26668 0 master MERGED List of SUSE packages Never
oVirt gerrit 26669 0 master MERGED Remove trailing whitespaces in configuration files Never
oVirt gerrit 26763 0 master MERGED Init script for SLES Never

Description Vinzenz Feenstra [evilissimo] 2013-12-16 12:04:05 UTC
The oVirt Guest Agent needs to be packaged for and ported to SUSE Linux Enterprise Server

Comment 1 Vinzenz Feenstra [evilissimo] 2014-04-29 11:22:39 UTC
Patches merged to ovirt-guest-agent upstream master

Builds for SLE 11 SP3 available here: 
http://download.opensuse.org/repositories/home:/evilissimo/SLE_11_SP3/

# zypper addrepo http://download.opensuse.org/repositories/home:/evilissimo/SLE_11_SP3/home:evilissimo.repo
# zypper refresh
# zypper install ovirt-guest-agent
# service ovirt-guest-agent start

Wiki: http://www.ovirt.org/Feature/GuestAgentSLES

Comment 2 Jiri Belka 2014-06-30 10:36:17 UTC
Minimal install, I installed successfully ovirt-guest-agent-common-1.0.9-28.1 but service ovirt-guest-agent start screamed about sudo.

linux-1e0o:~ # rpm -ql ovirt-guest-agent-common | xargs grep sudo
/usr/share/ovirt-guest-agent/ovirt-hibernate:sudo /usr/share/ovirt-guest-agent/`basename $0`-wrapper.sh $@
/usr/share/ovirt-guest-agent/ovirt-locksession:sudo /usr/share/ovirt-guest-agent/`basename $0`-wrapper.sh $@
/usr/share/ovirt-guest-agent/ovirt-shutdown:sudo /usr/share/ovirt-guest-agent/`basename $0`-wrapper.sh $@
/usr/share/ovirt-guest-agent/ovirt-sudo-wrapper.sh:sudo /usr/share/ovirt-guest-agent/`basename $0`-wrapper.sh $@
linux-1e0o:~ # which sudo
which: no sudo in (/sbin:/usr/sbin:/usr/local/sbin:/root/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:/usr/lib/mit/bin:/usr/lib/mit/sbin)
linux-1e0o:~ # rpm -qR ovirt-guest-agent-common
pwdutils  
udev  
rpm-python  
python-ethtool >= 0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/sh  
/bin/sh  
/bin/sh  
/bin/sh  
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/bash  
/bin/sh  
/usr/bin/python  
rpmlib(PayloadIsLzma) <= 4.4.6-1

Please depend on sudo, thx.

Comment 3 Jiri Belka 2014-07-07 10:04:53 UTC
ovirt GA is not set to autostart.

~~~
# zypper install ovirt-guest-agent-common
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
  ovirt-guest-agent-common 

The following package is not supported by its vendor:
  ovirt-guest-agent-common 

1 new package to install.
Overall download size: 45.0 KiB. After the operation, additional 108.0 KiB will be used.
Continue? [y/n/?] (y): y
Installing: ovirt-guest-agent-common-1.0.10-3.1 [done]
# chkconfig --list | grep ovirt
ovirt-guest-agent         0:off  1:off  2:off  3:off  4:off  5:off  6:off
~~~

debug from manual rpm installation...

~~~
D:   install: %post(ovirt-guest-agent-common-1.0.10-3.1.noarch) asynchronous scriptlet start
D:   install: %post(ovirt-guest-agent-common-1.0.10-3.1.noarch) execv(/bin/sh) pid 16989
+ /sbin/udevadm trigger --subsystem-match=virtio-ports --attr-match=name=com.redhat.rhevm.vdsm
+ test -n ''
+ FIRST_ARG=1
+ FORCE_YES=0
+ set -- ovirt-guest-agent
+ PNAME=ovirt-guest-agent
+ INSSRV_ARRAY=
+ '[' 1 -gt 0 ']'
+ SCRIPTNAME=ovirt-guest-agent
+ shift
+ SV_B='^### BEGIN INIT INFO'
+ SV_E='^### END INIT INFO'
+ SV_KW=Default-Enabled
++ sed -n -e '/^### BEGIN INIT INFO/,/^### END INIT INFO/{/^# [^[:space:]]*Default-Enabled:[[:space:]]*\([^[:space:]]*\).*/s//\1/p;}'
+ SV_VALUE=
+ test 0 = 1
+ test -n ''
+ SV_VALUE=no
+ INSSRV_ARRAY=' ovirt-guest-agent no'
+ '[' 0 -gt 0 ']'
+ TEMPLATE_DIR=var/adm/fillup-templates
+ SYSC_TEMPLATE=var/adm/fillup-templates/sysconfig.ovirt-guest-agent
+ SD_NAME=
+ '[' -x bin/fillup ']'
+ '[' -f var/adm/fillup-templates/sysconfig.ovirt-guest-agent ']'
+ set -- ovirt-guest-agent no
+ '[' 2 -gt 0 ']'
+ SCRIPTNAME=ovirt-guest-agent
+ SV_VALUE=no
+ shift 2
+ test -n ovirt-guest-agent -a -n no
+ test 1 = 1 -a no = no
+ sbin/insserv -r etc/init.d/ovirt-guest-agent
+ '[' 0 -gt 0 ']'
+ exit 0
D:   install: waitpid(16989) rc 16989 status 0 secs 0.023
~~~

Comment 4 Vinzenz Feenstra [evilissimo] 2014-07-15 09:55:13 UTC
Irrelevant to the goal of this RFE - The guest agent does work, you just have to enable it.
Please create a new bug for this.

Comment 5 Jiri Belka 2014-07-24 07:46:27 UTC
ok,

ovirt-guest-agent-common-1.0.10-3.1

Comment 6 Sandro Bonazzola 2014-10-17 12:29:07 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.